# **Speaqr JavaScript SDK**

[![npm version](https://img.shields.io/npm/v/@speaqr/javascript-sdk.svg)](https://www.npmjs.com/package/@speaqr/javascript-sdk)

Speaqr Javascript SDK is a lightweight client to interact with the Speaqr API in real time. It allows you to handle events, send audio and text, and get translations or voice synthesis.

### 🔗 Web [https://speaqr.ai](https://speaqr.ai)
---

## 📑 **Main features**
- **Speech recognition (STT):** Converts audio to text in real time.
- **Translation:** Translates text or audio into several supported languages.
- **Speech synthesis (TTS):** Generates audio from text in real time.
- **Speech recognition + translation + speech synthesis (STS)** Generates translated audio from the audio heard in real time.
- **Real-time connection:** Uses sockets for seamless communication with the api.
- **Compatibility:** Compatible with browsers and Node.js environments.

## 📰 **Requirements**
- A valid api key. You can get one [here](https://speaqr.ai/en-us/technical/hire).

## 💻 **Installation**

#### Via npm:
```bash
npm install @speaqr/javascript-sdk
````

#### Via cdn
```html
<script src="https://unpkg.com/@speaqr/javascript-sdk@latest/dist/sdk.min.js"></script>
````

#### Download files
- [Download sdk.min.js](https://unpkg.com/@speaqr/javascript-sdk@latest/dist/sdk.min.js)

- [Download sdk.js](https://unpkg.com/@speaqr/javascript-sdk@latest/dist/sdk.js)

## 📖 **Documentation**
The entire SDK and API are documented [here](https://speaqr.ai/en-us/technical).

## 🔧 **Examples**
The *dist/examples* folder contains examples of how to instantiate the SDK in different environments and several usage examples.

Please note that in order to run these examples you will need to have a valid API key, and you must change it in the variable *const apiKey = 'xxxx'*

## 🌐 License
This SDK is licensed under the MIT license. See the LICENSE.txt file for more details.

## ✉️ Support
If you have questions or need help, contact us [here](https://speaqr.ai/en-us/contact).