class RecorderWorklet extends AudioWorkletProcessor {
    _buffer = new Float32Array(4096);
    _bytesWritten = 0;

    process(inputs) {
        const input = inputs[0][0];
        if (input) {
            for (let i = 0; i < input.length; i++) {
                this._buffer[this._bytesWritten++] = Math.min(1, Math.max(-1, input[i])) * 32767;

                // Si el buffer está lleno, enviarlo
                if (this._bytesWritten === this._buffer.length) {
                    this.flush();
                }
            }
        }
        return true;
    }

    flush() {
        const bufferToSend = new Int16Array(this._buffer);
        this.port.postMessage(bufferToSend.buffer);
        this._bytesWritten = 0;
    }
}

registerProcessor('recorder.worklet', RecorderWorklet);